# Visualization
TKV2d
Prs2d

# Prs2d_DataMapNodeOfDataMapOfAspectRoot Class Reference

`#include <Prs2d_DataMapNodeOfDataMapOfAspectRoot.hxx>`

## Public Member Functions

| Prs2d_DataMapNodeOfDataMapOfAspectRoot (const Standard_Integer &K, const Handle(Prs2d_AspectRoot)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_Prs2d_AspectRoot & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_Prs2d_AspectRoot | myValue

## Constructor & Destructor Documentation

Prs2d_DataMapNodeOfDataMapOfAspectRoot::Prs2d_DataMapNodeOfDataMapOfAspectRoot | ( | const Standard_Integer & | K,
|  | const Handle(Prs2d_AspectRoot)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Prs2d_DataMapNodeOfDataMapOfAspectRoot::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& Prs2d_DataMapNodeOfDataMapOfAspectRoot::Key | ( |  | ) | const

Handle_Prs2d_AspectRoot& Prs2d_DataMapNodeOfDataMapOfAspectRoot::Value | ( |  | ) | const

## Field Documentation

Standard_Integer Prs2d_DataMapNodeOfDataMapOfAspectRoot::myKey `[private]`

Handle_Prs2d_AspectRoot Prs2d_DataMapNodeOfDataMapOfAspectRoot::myValue `[private]`

The documentation for this class was generated from the following file:

- Prs2d_DataMapNodeOfDataMapOfAspectRoot.hxx